rmultnorm <- function(n, mu, vmat, tol = 1e-07)

  ## Note: mu is the vector of means
  ## vmat is the covariance matrix (variances on the diagonal!)
  ## covariances on the off-diagonals

  ## this function copied from the help *rnorm* page
  
{
    p <- ncol(vmat)
    if(length(mu)!=p)
      stop("mu vector is the wrong length")
    if(max(abs(vmat - t(vmat))) > tol)
      stop("vmat not symmetric")
    vs <- svd(vmat)
    vsqrt <- t(vs$v %*% (t(vs$u) * sqrt(vs$d)))
    ans <- matrix(rnorm(n * p), nrow = n) %*% vsqrt
    ans <- sweep(ans, 2, mu, "+")
    dimnames(ans) <- list(NULL, dimnames(vmat)[[2]])
    ans
  }

